import { Animal } from './Animal';
import { capitalize as upper } from './utils';

export class Dog extends Animal {

    owner : string;

    constructor (name : string, owner : string) {

        super(name);
        this.type = 'dog';
        this.owner = owner;
    }

    greet() {

        return super.greet()+" and my owner is "+upper(this.owner);
    }
}
